Field Calculator: crash when help is missing

2012-04-17 09:16 AM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15068

Description

In the Field Calculator, there is at least one help missing (regexp_replace).  When I select the function, the help box says "Oops, QGIS

can't find help for this function".  If I hover over the help area, a tooltip pops up with the same message, and QGIS crashes.  Tooltips in the

help box for any other function that does have help does not crash QGIS.

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0   QtGui                             0x0000000104ec56d8 QTextLineItemIterator::next() + 456

1   QtGui                             0x0000000104ed207f QTextLine::draw(QPainter*, QPointF const&, QTextLayout::FormatRange

const*) const + 1087

2   QtGui                             0x0000000104dbcd1c qt_format_text(QFont const&, QRectF const&, int, QTextOption const*, QString

const&, QRectF*, int, int*, int, QPainter*) + 4108

3   QtGui                             0x0000000104dbd525 QPainter::drawText(QRect const&, int, QString const&, QRect*) + 293

4   QtGui                             0x0000000104f618e5 QStyle::drawItemText(QPainter*, QRect const&, int, QPalette const&, bool,

QString const&, QPalette::ColorRole) const + 629

5   QtGui                             0x0000000105064031 QLabel::paintEvent(QPaintEvent*) + 1857

6   QtGui                             0x0000000104cbd139 QTipLabel::paintEvent(QPaintEvent*) + 153

7   QtGui                             0x0000000104cdb516 QWidget::event(QEvent*) + 2294

8   QtGui                             0x000000010505f3fc QFrame::event(QEvent*) + 44

9   QtGui                             0x000000010506241b QLabel::event(QEvent*) + 91

10  QtGui                             0x0000000104c829fd QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189

11  QtGui                             0x0000000104c88fbe QApplication::notify(QObject*, QEvent*) + 254

12  org.qgis.qgis_core                0x0000000103da031a QgsApplication::notify(QObject*, QEvent*) + 72

13  QtCore                            0x00000001049d314c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

14  QtGui                             0x0000000104cd425e QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&,

int, QPainter*, QWidgetBackingStore*) + 1822

15  QtGui                             0x0000000104c2833a -[QCocoaView drawRect:] + 1786

16  com.apple.AppKit                  0x00007fff93870abe -[NSView _drawRect:clip:] + 3758

17  com.apple.AppKit                  0x00007fff9389e1eb -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 1583

18  com.apple.AppKit                  0x00007fff9389e617 -[NSView _recursiveDisplayAllDirtyWithLockFocus:visRect:] + 2651

19  com.apple.AppKit                  0x00007fff9386e099 -[NSView

_recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1032

20  com.apple.AppKit                  0x00007fff939bc85c -[NSNextStepFrame

_recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 274

21  com.apple.AppKit                  0x00007fff938689af -[NSView

_displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 4755

22  com.apple.AppKit                  0x00007fff93861429 -[NSView displayIfNeeded] + 1676

23  com.apple.AppKit                  0x00007fff939bc734 -[NSNextStepFrame displayIfNeeded] + 83

24  com.apple.AppKit                  0x00007fff93860b69 _handleWindowNeedsDisplayOrLayoutOrUpdateConstraints + 648

25  com.apple.Foundation              0x00007fff964e3f64 __NSFireTimer + 102

26  com.apple.CoreFoundation          0x00007fff92612c24
__CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 20

27  com.apple.CoreFoundation          0x00007fff92612776 __CFRunLoopDoTimer + 534

28  com.apple.CoreFoundation          0x00007fff925f3001 __CFRunLoopRun + 1617

29  com.apple.CoreFoundation          0x00007fff925f2676 CFRunLoopRunSpecific + 230

30  com.apple.HIToolbox               0x00007fff8f31a31f RunCurrentEventLoopInMode + 277

31  com.apple.HIToolbox               0x00007fff8f3215c9 ReceiveNextEventCommon + 355

32  com.apple.HIToolbox               0x00007fff8f321456 BlockUntilNextEventMatchingListInMode + 62

33  com.apple.AppKit                  0x00007fff93824f5d _DPSNextEvent + 659

34  com.apple.AppKit                  0x00007fff93824861 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 135

35  QtGui                             0x0000000104c3c2e6

QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1526

36  QtCore                            0x00000001049d2054 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

37  QtCore                            0x00000001049d2404 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

38  QtGui                             0x0000000105114ce5 QDialog::exec() + 229

39  org.qgis.qgis-dev                 0x0000000100074af5 QgsAttributeTableDialog::on_mOpenFieldCalculator_clicked() + 49

40  org.qgis.qgis-dev                 0x0000000100266856 QgsAttributeTableDialog::qt_static_metacall(QObject*, QMetaObject::Call,

int, void**) + 450

41  org.qgis.qgis-dev                 0x0000000100266b91 QgsAttributeTableDialog::qt_metacall(QMetaObject::Call, int, void**) + 69

42  QtCore                            0x00000001049ea6e6 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2150

43  QtGui                             0x00000001052ebfe1 QAbstractButton::clicked(bool) + 49

44  QtGui                             0x0000000105017f90 QAbstractButtonPrivate::emitClicked() + 64

45  QtGui                             0x000000010501902a QAbstractButtonPrivate::click() + 154

46  QtGui                             0x0000000105019281 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 113

47  QtGui                             0x00000001050e13b2 QToolButton::mouseReleaseEvent(QMouseEvent*) + 18

48  QtGui                             0x0000000104cdb570 QWidget::event(QEvent*) + 2384

49  QtGui                             0x0000000105018198 QAbstractButton::event(QEvent*) + 40

50  QtGui                             0x00000001050e2aff QToolButton::event(QEvent*) + 63

51  QtGui                             0x0000000104c829fd QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189

52  QtGui                             0x0000000104c8acc0 QApplication::notify(QObject*, QEvent*) + 7680

53  org.qgis.qgis_core                0x0000000103da031a QgsApplication::notify(QObject*, QEvent*) + 72

54  QtCore                            0x00000001049d314c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

55  QtGui                             0x0000000104c86f8d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*,

QWidget*, QWidget**, QPointer<QWidget>&, bool) + 333

56  QtGui                             0x0000000104c37495 qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton,

QWidget*) + 741

57  com.apple.AppKit                  0x00007fff938f27a6 -[NSWindow sendEvent:] + 6504

58  QtGui                             0x0000000104c2c5f7 -[QCocoaWindow sendEvent:] + 87

59  com.apple.AppKit                  0x00007fff9388b16d -[NSApplication sendEvent:] + 5593

60  QtGui                             0x0000000104c31634 -[QNSApplication sendEvent:] + 84

61  com.apple.AppKit                  0x00007fff938211f2 -[NSApplication run] + 555

62  QtGui                             0x0000000104c3c410

QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1824

63  QtCore                            0x00000001049d2054 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

64  QtCore                            0x00000001049d2404 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

65  QtCore                            0x00000001049d483c QCoreApplication::exec() + 188

66  org.qgis.qgis-dev                 0x000000010000922e main + 6875

67  org.qgis.qgis-dev                 0x0000000100007444 start + 52

History

#1 - 2012-04-17 09:26 AM - Jürgen Fischer
Not reproducable on Windows.

#2 - 2012-04-21 03:33 PM - Salvatore Larosa

Jürgen Fischer wrote:

Not reproducable on Windows.

As well as on Linux.

#3 - 2012-05-25 12:51 AM - Jürgen Fischer

- Status changed from Open to Feedback

- Category changed from Documentation and Help to GUI

#4 - 2012-05-30 03:48 AM - Giovanni Manghi

Is this still true on Mac?

#5 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#6 - 2012-10-05 02:36 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

2024-04-27 3/3


